com.pixelmed.dicom

## Class ContentItemFactory.UIDContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.StringContentItem
      - - com.pixelmed.dicom.ContentItemFactory.UIDContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.UIDContentItem
    extends ContentItemFactory.StringContentItem

### Field Summary

### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

`stringValue`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.UIDContentItem(ContentItem parent, AttributeList list)`
`ContentItemFactory.UIDContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String stringValue)`

### Method Summary

Methods
`void` `setConceptValue(java.lang.String stringValue)`

### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

`getConceptValue, setConceptValue, toString`

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentItemFactory.UIDContentItem

    public ContentItemFactory.UIDContentItem(ContentItem parent,
                                     AttributeList list)

Parameters:
  `parent` -
  `list` -

#### ContentItemFactory.UIDContentItem

    public ContentItemFactory.UIDContentItem(ContentItem parent,
                                     java.lang.String relationshipType,
                                     CodedSequenceItem conceptName,
                                     java.lang.String stringValue)
                                      throws DicomException

Parameters:
  `parent` -
  `relationshipType` -
  `conceptName` -
  `stringValue` -
Throws:
  `DicomException`

### Method Detail

#### setConceptValue

    public void setConceptValue(java.lang.String stringValue)
                         throws DicomException

Parameters:
  `stringValue` - if null, removes the value
Throws:
  `DicomException`